package com.cotopia.games;

import javax.microedition.lcdui.Choice;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.List;
import javax.microedition.midlet.MIDlet;
import javax.microedition.midlet.MIDletStateChangeException;

import com.cotopia.games.BallShotBoard;
import com.cotopia.games.BallShotRules;

/**
 * @author karel herink
 */
public class BallShot extends MIDlet implements CommandListener {
	
	public BallShot() {
	}

	protected void startApp() throws MIDletStateChangeException {
		this.showMenu();
	}

	protected void pauseApp() {
	}

	protected void destroyApp(boolean b) {
	}
		
	private void startGame() {		
		BallShotRules bubbleRules = new BallShotRules();
		BallShotBoard bubbleBoard = new BallShotBoard(this, bubbleRules, 25000);
		(new Thread(bubbleBoard)).start();
		Display.getDisplay(this).setCurrent(bubbleBoard);
	}
	
	public void exit() {
		destroyApp(false);
		notifyDestroyed();		
	}

	public void showMenu() {
		List inGameMenu = new List(BallShotRules.MSG_CHOOSE_OPTION, Choice.IMPLICIT, new String[] {"New game", "Exit"}, null);
		inGameMenu.setCommandListener(this);
		Display.getDisplay(this).setCurrent(inGameMenu);
	}

	public void commandAction(Command command, Displayable displayable) {
		int index = ((List) displayable).getSelectedIndex();
		if (index == 0) {
			this.startGame();
		}
		else {
			this.exit();
		}
	}
	
}
