package com.cotopia.games;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.util.Enumeration;
import java.util.Vector;


/**
 * @author karel herink
 */
public class Play {
	
	private Vector moves = new Vector(2);

	private boolean DEBUG;

	public Play() {
	}
	
	
	public void addMove(byte arg1, byte arg2, byte arg3, byte arg4) {
		byte[] move = { arg1, arg2, arg3, arg4 };
		this.moves.addElement(move);
	}
	
	public void addMove(int arg1, int arg2, int arg3, int arg4) {
		this.addMove ((byte) arg1, (byte) arg2, (byte) arg3, (byte) arg4);
	}

	public void clearMoves() {
		this.moves.removeAllElements();
	}
	
	public Vector getAllMoves() {
		return this.moves;
	}
	
	public String toString() {
		if (DEBUG) {
			StringBuffer buf = new StringBuffer();
			Enumeration e = this.moves.elements();
			while (e.hasMoreElements()) {
				byte[] move = (byte[]) e.nextElement();
				buf.append("from " + move[0] + ", " + move[1] + " to " + move[2] + ", " + move[3]);
				if (e.hasMoreElements()) buf.append("\n");
			}
			return buf.toString();
		}
		return super.toString();
	}
	
}



